/*
 * DO NOT EDIT.  THIS FILE IS GENERATED FROM
 * e:/builds/moz2_slave/mozilla-central-win32-xulrunner/build/accessible/public/nsIAccessibleHyperText.idl
 */

package org.mozilla.interfaces;

/**
 * A cross-platform interface that deals with text which contains hyperlinks.
 * Each link is an embedded object representing exactly 1 character within
 * the hypertext.
 *
 * Current implementation assumes every embedded object is a link.
 */
public interface nsIAccessibleHyperText extends nsISupports {

  String NS_IACCESSIBLEHYPERTEXT_IID =
    "{b33684e2-090c-4e1d-a3d9-f4b46f4237b9}";

  /**
   * Return the number of links contained within this hypertext object.
   */
  int getLinkCount();

  /**
   * Return link accessible at the given index.
   *
   * @param index  [in] 0-based index of the link that is to be retrieved
   *
   * @return       link accessible or null if there is no link at that index
   */
  nsIAccessibleHyperLink getLinkAt(int index);

  /**
   * Return index of the given link.
   *
   * @param link  [in] link accessible the index is requested for
   *
   * @return      index of the given link or null if there's no link within
   *                hypertext accessible
   */
  int getLinkIndex(nsIAccessibleHyperLink link);

  int getLinkIndexAtOffset(int offset);

}